﻿using System;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.SceneManagement;

public class PlayerScript : MonoBehaviour
{
    public static PlayerScript Instance;

    public GameObject canvas;

    public float moveSpeed = 5f;

    public bool asd;

    public GameObject BulletToRight, BulletToLeft, GameOverText, RestartButton;
    Vector2 bulletPos;
    public float fireRate = 0.5f;
    float nextFire = 0.0f;
    bool facingRight = true;

    private void Awake()
    {
        Instance = this;
    }
    // Start is called before the first frame update
    void Start()
    {
        GameOverText.SetActive(false);
        RestartButton.SetActive(false);
    }

    // Update is called once per frame
    void FixedUpdate()
    {
        Jump();

        Vector3 movement = new Vector3(Input.GetAxis("Horizontal"), 0f, 0f);
        if (movement.x > 0)
        {
            facingRight = true;
        }
        else if (movement.x < 0)
        {
            facingRight = false;
        }
        transform.position += movement * Time.deltaTime * moveSpeed;

        if (Input.GetButtonDown("Fire1") && Time.time > nextFire)
        {
            nextFire = Time.time + fireRate;
            fire();
        }
    }

    void Jump()
    {
        if (Input.GetButtonDown("Jump") && asd == true)
        {
            Debug.Log("yay");
            gameObject.GetComponent<Rigidbody2D>().AddForce(new Vector2(0f, 5f), ForceMode2D.Impulse);

        }
    }

    void fire()
    {
        bulletPos = transform.position;
        if (facingRight)
        {
            bulletPos += new Vector2(+1f, -0.437f);
            Instantiate(BulletToRight, bulletPos, Quaternion.identity);

            //spawnedBullet = Instantiate()
            //spawnedbullet += 
        }

        else
        {
            bulletPos += new Vector2(-1f, -0.437f);
            GameObject gameObject1 = Instantiate(BulletToLeft, bulletPos, Quaternion.identity);
        }

    }


    private void OnTriggerEnter2D(Collider2D other)
    {
        if (other.gameObject.CompareTag("coins"))
        {
            Destroy(other.gameObject);
        }

        
    }


    void OnCollisionEnter2D(Collision2D col)
    {
        if (col.gameObject.tag.Equals("enemy"))
        {
            GameOverText.SetActive(true);
            RestartButton.SetActive(true);
            Instantiate(transform.position, Quaternion.identity);
            gameObject.SetActive(false);
        }

        if (col.gameObject.CompareTag("ivy"))
        {
            SceneManager.LoadScene("SampleScene");
        }
    }

    private void Instantiate(Vector3 position, Quaternion identity) => throw new NotImplementedException();


    public void asdtrue()
    {
        asd = true;

    }


    public void asdFalse()
    {
        asd = false;
    }
}
