﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using TMPro;
using UnityEngine.UI;


public class ScoreManager : MonoBehaviour
{

    public static ScoreManager instance;
    public TextMeshProUGUI text;
    public GameObject[] lifes;

    private int lifeCount;

    int score;

    // Start is called before the first frame update
    void Start()
    {
        if (instance == null)
        {
            instance = this;
        }
    }

    // Update is called once per frame
    public void ChangeScore(int coinValue)
    {
        score += coinValue;

        if (score >= 4) {
            lifes[lifeCount].SetActive(true);
            lifeCount++;
            score = 0;
        }

        text.text = "x" + score.ToString();
    }
}
